HMWKGraphInternal::Group::Child Struct Reference

struct to store child data in HMWKGraphInternal::Group More...

## Public Member Functions

| Child ()
| constructor More...

## Public Attributes

long | m_fileId
| the child id More...
int | m_values [2]
| two values More...

## Friends

std::ostream & | operator<< (std::ostream &o, Child const &ch)
| operator<< More...

## Detailed Description

struct to store child data in HMWKGraphInternal::Group

## Constructor & Destructor Documentation

HMWKGraphInternal::Group::Child::Child | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Child const & | ch
| ) |  |

friend

operator<<

## Member Data Documentation

long HMWKGraphInternal::Group::Child::m_fileId

the child id

Referenced by HMWKGraph::readGroup().

int HMWKGraphInternal::Group::Child::m_values[2]

two values

Referenced by Child(), and HMWKGraph::readGroup().

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx